package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentSticker extends NLESegment {
    public transient long LIZ;
    public transient boolean LIZIZ;

    static {
        Covode.recordClassIndex(29869);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentSticker() {
        this(NLEEditorJniJNI.new_NLESegmentSticker());
        MethodCollector.i(19083);
        MethodCollector.o(19083);
    }

    public final boolean LJI() {
        MethodCollector.i(19075);
        boolean NLESegmentSticker_hasAlpha = NLEEditorJniJNI.NLESegmentSticker_hasAlpha(this.LIZ, this);
        MethodCollector.o(19075);
        return NLESegmentSticker_hasAlpha;
    }

    public final float LJII() {
        MethodCollector.i(19077);
        float NLESegmentSticker_getAlpha = NLEEditorJniJNI.NLESegmentSticker_getAlpha(this.LIZ, this);
        MethodCollector.o(19077);
        return NLESegmentSticker_getAlpha;
    }

    public final NLEStyStickerAnim LJIIIIZZ() {
        MethodCollector.i(19080);
        long NLESegmentSticker_getAnimation = NLEEditorJniJNI.NLESegmentSticker_getAnimation(this.LIZ, this);
        if (NLESegmentSticker_getAnimation == 0) {
            MethodCollector.o(19080);
            return null;
        }
        NLEStyStickerAnim nLEStyStickerAnim = new NLEStyStickerAnim(NLESegmentSticker_getAnimation);
        MethodCollector.o(19080);
        return nLEStyStickerAnim;
    }

    public final VecString LJIIIZ() {
        MethodCollector.i(19082);
        VecString vecString = new VecString(NLEEditorJniJNI.NLESegmentSticker_getInfoStringList(this.LIZ, this), true);
        MethodCollector.o(19082);
        return vecString;
    }

    public NLENode clone() {
        MethodCollector.i(19073);
        long NLESegmentSticker_clone = NLEEditorJniJNI.NLESegmentSticker_clone(this.LIZ, this);
        if (NLESegmentSticker_clone == 0) {
            MethodCollector.o(19073);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentSticker_clone, true);
        MethodCollector.o(19073);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(19069);
        long j = this.LIZ;
        if (j != 0) {
            if (this.LIZIZ) {
                this.LIZIZ = false;
                NLEEditorJniJNI.delete_NLESegmentSticker(j);
            }
            this.LIZ = 0;
        }
        super.delete();
        MethodCollector.o(19069);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZIZ = z;
        super.swigSetCMemOwn(z);
    }

    public final void LIZ(float f) {
        MethodCollector.i(19076);
        NLEEditorJniJNI.NLESegmentSticker_setAlpha(this.LIZ, this, f);
        MethodCollector.o(19076);
    }

    public NLESegmentSticker(long j) {
        super(NLEEditorJniJNI.NLESegmentSticker_SWIGSmartPtrUpcast(j));
        MethodCollector.i(19061);
        this.LIZIZ = true;
        this.LIZ = j;
        MethodCollector.o(19061);
    }

    public static NLESegmentSticker LIZIZ(NLENode nLENode) {
        NLESegmentSticker nLESegmentSticker;
        MethodCollector.i(19071);
        long NLESegmentSticker_dynamicCast = NLEEditorJniJNI.NLESegmentSticker_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLESegmentSticker_dynamicCast == 0) {
            nLESegmentSticker = null;
        } else {
            nLESegmentSticker = new NLESegmentSticker(NLESegmentSticker_dynamicCast);
        }
        MethodCollector.o(19071);
        return nLESegmentSticker;
    }

    public final void LIZ(NLEStyStickerAnim nLEStyStickerAnim) {
        MethodCollector.i(19079);
        NLEStyStickerAnim nLEStyStickerAnim2 = nLEStyStickerAnim;
        NLEEditorJniJNI.NLESegmentSticker_setAnimation(this.LIZ, this, NLEStyStickerAnim.LIZ(nLEStyStickerAnim2), nLEStyStickerAnim2);
        MethodCollector.o(19079);
    }

    public final void LIZ(VecString vecString) {
        MethodCollector.i(19081);
        VecString vecString2 = vecString;
        NLEEditorJniJNI.NLESegmentSticker_setInfoStringList(this.LIZ, this, VecString.LIZ(vecString2), vecString2);
        MethodCollector.o(19081);
    }
}
